	;Keith Courage-Debug Menu Code!

	.bank $17	;8000-9FFF

	.org $8B74	;W8D18	;Title screen printing routine
	jsr Add_More_Text ;$8FEA (W918E) ;Print function. Maybe set my own pointers first?

;------
	.org $8D89	;W8F2D	;D0 F5, Title Screen Debug check
	nop		;Go to Debug with Button I only
	nop
;---

;---
    	.org $9A2E	;W9BD2	;Inc/Dec RAM value code for SOUND in Debug
	lda	OPTION1
    	.org $9A33	;W9BD7
	dec	OPTION1

	.org $9A3D	;W9BE1	;lda #$56, text positioning
        lda #$54

    	.org $9A47	;W9BEB
	lda	OPTION1
	.org $9A4A	;W9BEE	;JSR to PRINT Num routine!
	jsr	Debug_Print_SUIT

  	.org $9A50	;W9BF4
	lda	OPTION2
    	.org $9A55	;W9BF9
	dec	OPTION2

	.org $9A5F	;W9C03	;lda #$D6, text positioning
        lda #$D4

  	.org $9A69	;W9C0D
	lda	OPTION2
	.org $9A6C	;W9C10	;JSR to PRINT Num routine!
	jsr	Debug_Print_SUIT


    	.org $9ADD	;W9C81	;Inc & check limit for SOUND RAM val ($3D81)
	lda	OPTION1
	cmp	#1	;Change limit!
    	.org $9AE7	;W9C8B
	inc	OPTION1

    	.org $9AED	;W9C91	;Inc & check limit for EFFECT RAM val ($3D84)
	lda	OPTION2
	cmp	#1	;Change limit!
    	.org $9AF7	;W9C9B
	inc	OPTION2

    	.org $9AFD	;W9CA1	;This plays music/sound if cursor at 5/6.
	jmp $9B1C	;W9CC0	;Bypass cursor check w/ Debug Select button

;-------------------------

	.org $9C62	;More Left arrows
	.db $78,$78

	.org $9C66
;KEITH  COURAGE <-- 2 rows; Debug menu compresses 2x2 chars to 1 metatile.
;IN ALPHA ZONES
	.db $24,$1E,$22,$27,$22,$2D,$00,$1A ;KEINIT_A
	.db $21,$00,$25,$29,$00,$1C,$21,$1A ;H_LP_CHA
	.db $28,$2E,$00,$33,$2B,$1A,$28,$27 ;OU_ZRAON
	.db $20,$1E,$1E,$2C			;GEES

	.org $9C84	;Japanese Left Bracket *GONE*
	.db 0
	.org $9C99	;Japanese Right Bracket *GONE*
	.db 0

	.org $9C9E	;More Right arrows
	.db $7B,$7B

	.org $9CA4	;Make "STAGE "
	.db $2C,$2D,0,0,$1A,$20,0,0,$1E,0

	.org $9CB4	;Make "SWORD "
	.db $2C,$30,0,0,$28,$2B,0,0,$1D

	.org $9CC0	;Make "LIFE"
	.db $25,$22,0,0,$1F,$1E

	.org $9CC8	;Make " BOM(BS)"
	.db 0,$1B,0,0,$28,$26

	.org $9CDC	;W9E80	;Make default "SUIT" text
	.db $2C,$2E
	.org $9CE0	;W9E84
	.db $22,$2D

	.org $9D04	;Make "BS" for "BOMBS"
	.db $1B,$2C
	.org $9D08	;W9F82 ;Create "TOWN/BATTLE" text
	.db $2D,$28,0,0,$30,$27
	.org $9D10	;W9F92
	.db $1B,$1A,0,0,$2D,$2D,0,0,$25,$1E

	.org $9D33	;Move text over
	.db 7,8,0,$10

	.org $9D76 	;Re-use TOWN,BATTLE
	.db $2A,$2B
	.org $9D86
	.db $2C,$2D,$2E

	.org $9D8D	;"SW(ORD)"
	.db $15

	.org $9DAE	;Point to "BOMBS"
	.db $1A,$1B,$29

	.org $9DB5	;W9F59
	.db $21		;Get back some BAT tile blocks
	.org $9DC4	;W9F68
	.db $00,$21

	.org $9DDE	;Shorten SOUND->TOWN
	.db 0
	.org $9DE4	;W9F88 Print first half of "SUIT"
	.db $1F
	.org $9DF4	;W9F98
	.db $1F


;----------------------- CODE TO PRINT TEXT!
	.org $9FC0	;A contains 0/1
Debug_Print_SUIT:
	phx
	phy
	asl a
	asl a
	tax
	lda	#2	;VRAM DATA WRITING
	sta	<$B9	;VRAM ADD. Shadow
	sta	$0000
	ldy	#4
.suittxlp:
	lda	SuitTXT,X
	sta	$0002	;Write to VDC
	lda	#$02
	sta	$0003
	inx
	dey
	bne	.suittxlp

	ply
	plx
	rts



	.org $9FF8	;"SUIT/ BOY" text here
SuitTXT:
	.db $3C,$3E,$32,$3D,$10,$2B,$38,$42

;===================================================
